﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace CarShop.Web.Models
{
    // Form Model / MVC model ?
    public class Car
    {
        [Display(Name = "Car id")]
        [Required]
        public int Id { get; set; }

        [Display(Name = "Brand name")]
        [Required]
        public string BrandName { get; set; }

        [Display(Name = "Car name")]
        [Required]
        [StringLength(30, MinimumLength = 5)]
        public string Name { get; set; }

        [Display(Name = "Car price")]
        [Required]
        public int Price { get; set; }
    }
}