﻿using GalaSoft.MvvmLight;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarShop.Wpf
{
    // NuGet: add MVVMLightLibsStd10
    // Newtonsoft.JSON is optional (We'll use System.Text.Json)
    // Set startup projects: Web + Wpf
    // CarDTO ???
    public class CarVM : ObservableObject // public because of ctor param
    {
        private int id;
        private string brandName;
        private string name;
        private int price;

        public int Id
        {
            get { return id; }
            set { Set(ref id, value); }
        }
        public string BrandName
        {
            get { return brandName; }
            set { Set(ref brandName, value); }
        }
        public string Name
        {
            get { return name; }
            set { Set(ref name, value); }
        }
        public int Price
        {
            get { return price; }
            set { Set(ref price, value); }
        }

        public void CopyFrom(CarVM other)
        {
            if (other == null) return;
            this.Id = other.Id;
            this.BrandName = other.BrandName;
            this.Name = other.Name;
            this.Price = other.Price;
        }
    }
}
